Bug 2255870 - TRIAGE CVE-2023-51765 sendmail: SMTP smuggling vulnerability [fedora-all]
Summary: TRIAGE CVE-2023-51765 sendmail: SMTP smuggling vulnerability [fedora-all]
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2255566 (view as bug list)
Depends On:
Blocks: CVE-2023-51764 CVE-2023-51765
TreeView+ depends on / blocked
 
Reported: 2023-12-25 22:05 UTC by Robb Gatica
Modified: 2024-02-01 00:26 UTC (History)
4 users (show)

Fixed In Version: sendmail-8.18.1-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-31 16:04:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2023-12-25 22:05:35 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2255869

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Robb Gatica 2023-12-25 22:05:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2255869,2255870

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Robb Gatica 2023-12-25 22:09:37 UTC
*** Bug 2255566 has been marked as a duplicate of this bug. ***

Comment 3 Marco Moock 2023-12-30 07:59:40 UTC
There is a fix for that
ftp://ftp.sendmail.org/pub/sendmail/snapshots/sendmail.8.18.0.2.tar.gz

        Accept only CR LF . CR LF as end of an SMTP message as
                required by the RFCs when the new srv_features
                option 'o' is used.

Although, the configuration must be altered to enable it.

Comment 4 Jaroslav Škarvada 2024-01-03 19:15:21 UTC
Thanks for the info, waiting for the stable release.

Comment 5 Jaroslav Škarvada 2024-01-31 15:25:09 UTC
Fixing only in the rawhide (f40) by rebase to currently stable sendmail-8.18.1.


Note You need to log in before you can comment on or make changes to this bug.